summaryrefslogtreecommitdiffstats
path: root/libraries/luasocket
diff options
context:
space:
mode:
author Andrew Tkalia <anddt@yandex.ru>2013-04-28 10:45:59 -0300
committer Niels Horn <niels.horn@slackbuilds.org>2013-04-28 10:45:59 -0300
commitcd5a28a122e4d2e8d62460ed5fd8a07579d5d685 (patch)
tree62d1acb254aa6b2a50ffcfe5daac17ece4f24c4b /libraries/luasocket
parent66a5a41e1bffb1d254caed47d1c37f8ee848e94f (diff)
downloadslackbuilds-cd5a28a122e4d2e8d62460ed5fd8a07579d5d685.tar.gz
slackbuilds-cd5a28a122e4d2e8d62460ed5fd8a07579d5d685.tar.xz
libraries/luasocket: Added (Network support for the Lua language)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
Diffstat (limited to 'libraries/luasocket')
-rw-r--r--libraries/luasocket/README8
-rw-r--r--libraries/luasocket/luasocket.SlackBuild97
-rw-r--r--libraries/luasocket/luasocket.info10
-rw-r--r--libraries/luasocket/slack-desc19
4 files changed, 134 insertions, 0 deletions
diff --git a/libraries/luasocket/README b/libraries/luasocket/README
new file mode 100644
index 0000000000..4d0cabff7c
--- /dev/null
+++ b/libraries/luasocket/README
@@ -0,0 +1,8 @@
+LuaSocket is a Lua extension library that is composed by two parts: a
+C core that provides support for the TCP and UDP transport layers,
+and a set of Lua modules that add support for functionality commonly
+needed by applications that deal with the Internet.
+
+The library is available under the same terms and conditions as the
+Lua language, the MIT license. The idea is that if you can use Lua in
+a project, you should also be able to use LuaSocket.
diff --git a/libraries/luasocket/luasocket.SlackBuild b/libraries/luasocket/luasocket.SlackBuild
new file mode 100644
index 0000000000..bb9c491b69
--- /dev/null
+++ b/libraries/luasocket/luasocket.SlackBuild
@@ -0,0 +1,97 @@
+#!/bin/sh
+
+# Slackware build script for luasocket
+
+# Copyright 2013, Andrew Tkalia <anddt@yandex.ru>, Ukraine, Kyiv
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=luasocket
+VERSION=${VERSION:-2.0.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+_CFLAGS="`cat config |grep ^CFLAGS |sed "s,CFLAGS\=,,g"`"" ${SLKCFLAGS}"
+make \
+ INSTALL_TOP_SHARE="/usr/share/lua/5.1" \
+ INSTALL_TOP_LIB="/usr/lib${LIBDIRSUFFIX}/lua/5.1" \
+ CFLAGS=" $_CFLAGS"
+
+# Installing:
+make install \
+ INSTALL_TOP_SHARE="$PKG/usr/share/lua/5.1" \
+ INSTALL_TOP_LIB="$PKG/usr/lib${LIBDIRSUFFIX}/lua/5.1" \
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ doc/*.* README LICENSE NEW samples etc test \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/luasocket/luasocket.info b/libraries/luasocket/luasocket.info
new file mode 100644
index 0000000000..b5ed1533da
--- /dev/null
+++ b/libraries/luasocket/luasocket.info
@@ -0,0 +1,10 @@
+PRGNAM="luasocket"
+VERSION="2.0.2"
+HOMEPAGE="http://w3.impa.br/~diego/software/luasocket/"
+DOWNLOAD="https://github.com/AndDT/SlackBuilds/blob/master/Sources-mirror/luasocket-2.0.2.tar.gz?raw=true"
+MD5SUM="41445b138deb7bcfe97bff957503da8e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="lua"
+MAINTAINER="Andrew Tkalia"
+EMAIL="anddt@yandex.ru"
diff --git a/libraries/luasocket/slack-desc b/libraries/luasocket/slack-desc
new file mode 100644
index 0000000000..db7285dc6e
--- /dev/null
+++ b/libraries/luasocket/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+luasocket: LuaSocket (Network support for the Lua language)
+luasocket:
+luasocket: LuaSocket is a Lua extension library that is composed by two parts: a
+luasocket: C core that provides support for the TCP and UDP transport layers,
+luasocket: and a set of Lua modules that add support for functionality commonly
+luasocket: needed by applications that deal with the Internet.
+luasocket:
+luasocket: The library is available under the same terms and conditions as the
+luasocket: Lua language, the MIT license. The idea is that if you can use Lua in
+luasocket: a project, you should also be able to use LuaSocket.
+luasocket: